<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Titans: Titans Together</Series>
  <Number>2</Number>
  <Web>https://www.comixology.com/Titans-Titans-Together-2/digital-comic/874550</Web>
  <Summary>Master mercenary Deathstroke needs the Titans’ help. His daughter, Ravager, was infiltrating the demonic Church of Blood when she succumbed to the hypnotic power of its leader, Brother Blood. Red Hood believes that the plea is real...but is Deathstroke telling them the whole story?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB874550]</Notes>
  <Publisher>DC</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>17</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
